Summary:	GNU-EFI - building EFI applications using the GNU toolchain
Summary(pl.UTF-8):	GNU-EFI - tworzenie aplikacji EFI przy użyciu narzędzi GNU
Name:		gnu-efi
# NOTE: don't use early 3.1, it doesn't support EFI x86_64
Version:	3.0.18
Release:	1
Epoch:		1
# Intel and HP's BSD-like license, except setjmp code coming from GRUB
License:	BSD-like
Group:		Development/Libraries
Source0:	https://downloads.sourceforge.net/gnu-efi/%{name}-%{version}.tar.bz2
# Source0-md5:	0b93ad70dff96991dd87978fc4275bd1
Patch0:		%{name}-make.patch
URL:		https://sourceforge.net/projects/gnu-efi/
BuildRequires:	binutils >= 3:2.17.50.0.14
BuildRequires:	gcc >= 6:4.7
Requires:	binutils >= 3:2.17.50.0.14
Requires:	gcc >= 6:4.7
ExclusiveArch:	%{ix86} %{x8664} x32 %{arm} aarch64 ia64 mips64el
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		efi_arch	%(echo %{_target_base_arch} | sed -e 's/i386/ia32/')

# no native binaries, only EFI code packaged
%define		_enable_debug_packages	0

%description
GNU-EFI development environment allows to create EFI applications for
IA-64, x86, ARM and MIPS platforms using the GNU toolchain.

%description -l pl.UTF-8
Środowisko programistyczne GNU-EFI umożliwia tworzenie aplikacji EFI
dla platform IA-64, x86, ARM i MIPS przy użyciu narzędzi GNU.

%prep
%setup -q
%patch0 -p1

%build
ARCHFLAGS=
%ifarch ia64
ARCHFLAGS=-frename-registers
%endif
# on x32: use x86_64 EFI ABI
CFLAGS="%{rpmcflags} $ARCHFLAGS" \
%{__make} -j1 \
	ARCH=%{efi_arch} \
%ifarch x32
	ARCH3264=-m64 \
%endif
	CC="%{__cc}" \
	OBJCOPY=objcopy

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	ARCH=%{efi_arch} \
	INSTALLROOT=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a apps/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# compiled example apps
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gnuefi/apps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.*
%{_libdir}/libefi.a
%{_libdir}/libgnuefi.a
%{_libdir}/crt0-efi-*.o
%{_libdir}/elf_*_efi.lds
%{_includedir}/efi
%{_pkgconfigdir}/gnu-efi.pc
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnu-efi.git;a=log;h=master

* Wed Mar 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 4598cb9
- updated to 3.0.18

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 4592092
- updated to 3.0.17

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 74c30fa
- added make patch (don't recompile on install); release 2

* Sat Apr 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 0057aaa
- updated to 3.0.15

* Tue Mar 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 6e1fa7a
- disable debug packages

* Tue Mar 16 2021 Jakub Bogusz <qboosh@pld-linux.org> a09e768
- updated to 3.0.13

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 993a8d3
- updated to 3.0.12

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 77410af
- updated to 3.0.11

* Tue Oct 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 3015dce
- updated to 3.0.9

* Sat Apr 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 81ee8bc
- updated to 3.0.8

* Tue Nov 21 2017 Jakub Bogusz <qboosh@pld-linux.org> eaa28bd
- updated to 3.0.6

* Thu Jun 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 9acb055
- changed way to pass -m64 on x32 to cover also assembly files; release 2

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 4a764d4
- updated to 3.0.5

* Sat Mar 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 4259dc5
- updated to 3.0.4

* Fri Sep 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 1d10118
- build for x86_64 EFI ABI on x32
- release 2

* Thu Sep 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 08f11cf
- updated to 3.0.3

* Wed Apr 22 2015 Jan Rękorajski <baggins@pld-linux.org> ab7d6e8
- added x32 arch
- rel 2

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 4a338a3
- updated to 3.0.2, epoch 1
- removed obsolete make patch

* Fri Sep 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 9808f4d
- updated to 3.0w
- added make patch (workaround to build with GNU make 4.0)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b86358
- updated to 3.0u

